package com.gic.spark;

import com.gic.sharding.sdk.ShardingConfigManager;
import com.gic.spark.application.SparkEnvManager;
import com.gic.spark.config.SparkConfigManager;
import com.gic.spark.tag.TagProcessManager;

import java.util.HashSet;
import java.util.Set;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/15
 */
public class SparkTagProcessByEnterpriseId {

    public static void main(String[] args) {
        if (args == null || args.length < 3) {
            System.err.println("invalidate input params:");
            System.err.println("1.is production: true/false");
            System.err.println("2.extract data: true/false");
            System.err.println("3.id: enterpriseId");
            System.exit(2);
        }

        boolean isProd = Boolean.parseBoolean(args[0]);
        boolean extractData = Boolean.parseBoolean(args[1]);
        String[] arrs = args[2].split(",");
        Set<Integer> params = new HashSet<>();
        for (String s : arrs) {
            params.add(Integer.parseInt(s));
        }
        ShardingConfigManager.initDefualt();
        SparkEnvManager.getInstance().init("member_tag_4.0");
        SparkConfigManager.getInstance().init(SparkConfigManager.EnvType.PRO, null);
        TagProcessManager.getInstance().init(isProd);
        TagProcessManager.getInstance().setEnterpriseId(params);
        TagProcessManager.getInstance().process(extractData);
    }
}
